EXECUTE_IN_PROCESS_C(9)

NAME
execute_in_process_context - reliably execute the routine with user context

SYNOPSIS

int execute_in_process_context(work_func_t fn, struct execute_work * ew);

ARGUMENTS

fn
    the function to execute

ew
    guaranteed storage for the execute work structure (must be available when the work executes)

DESCRIPTION

Executes the function immediately if process context is available, otherwise schedules the function for delayed execution.

RETURN

0 - function was executed 1 - function was scheduled for execution

COPYRIGHT